Recommended update for python-applicationinsights, python-colorama, python-configparser, python-scp, python-wheel, python-xmltodict

SUSE Recommended Update: Recommended update for python-applicationinsights, python-colorama, python-configparser, python-scp, python-wheel, python-xmltodict
Announcement ID: SUSE-RU-2019:2873-1
Rating: moderate
References: #1037032 #1065275 #1073879
Affected Products:
  • SUSE OpenStack Cloud Crowbar 8
  • SUSE OpenStack Cloud 8
  • SUSE OpenStack Cloud 7
  • SUSE Linux Enterprise Workstation Extension 12-SP4
  • SUSE Linux Enterprise Module for Public Cloud 12
  • SUSE Linux Enterprise High Availability 12-SP4
  • SUSE Linux Enterprise High Availability 12-SP3
  • SUSE Linux Enterprise Desktop 12-SP4
  • HPE Helion Openstack 8

An update that has three recommended fixes can now be installed.

Description:


This update provides various python3 variants of python modules to support the Azure CLI commandline toolset.
Following packages are shipped new and in python3 variants:

  • python-applicationinsights
  • python-colorama
  • python-configparser
  • python-scp
  • python-wheel
  • python-xmltodict
  • python-ptyprocess

Following packages have received updates:
  • python-cffi: update to 1.4.2
  • python-cryptography: update to 1.5.3
  • python-pyOpenSSL: update to 17.0.0
  • python-pyexpect: update to 4.3.1

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE OpenStack Cloud Crowbar 8:
    zypper in -t patch SUSE-OpenStack-Cloud-Crowbar-8-2019-2873=1
  • SUSE OpenStack Cloud 8:
    zypper in -t patch SUSE-OpenStack-Cloud-8-2019-2873=1
  • SUSE OpenStack Cloud 7:
    zypper in -t patch SUSE-OpenStack-Cloud-7-2019-2873=1
  • SUSE Linux Enterprise Workstation Extension 12-SP4:
    zypper in -t patch SUSE-SLE-WE-12-SP4-2019-2873=1
  • SUSE Linux Enterprise Module for Public Cloud 12:
    zypper in -t patch SUSE-SLE-Module-Public-Cloud-12-2019-2873=1
  • SUSE Linux Enterprise High Availability 12-SP4:
    zypper in -t patch SUSE-SLE-HA-12-SP4-2019-2873=1
  • SUSE Linux Enterprise High Availability 12-SP3:
    zypper in -t patch SUSE-SLE-HA-12-SP3-2019-2873=1
  • SUSE Linux Enterprise Desktop 12-SP4:
    zypper in -t patch SUSE-SLE-DESKTOP-12-SP4-2019-2873=1
  • HPE Helion Openstack 8:
    zypper in -t patch HPE-Helion-OpenStack-8-2019-2873=1

Package List:

  • SUSE OpenStack Cloud Crowbar 8 (noarch):
    • python-colorama-0.2.7-3.3.1
    • python-pexpect-4.3.1-3.5.1
    • python-ptyprocess-0.5.2-2.3.1
  • SUSE OpenStack Cloud 8 (noarch):
    • python-colorama-0.2.7-3.3.1
    • python-pexpect-4.3.1-3.5.1
    • python-ptyprocess-0.5.2-2.3.1
  • SUSE OpenStack Cloud 7 (noarch):
    • python-colorama-0.2.7-3.3.1
    • python-pexpect-4.3.1-3.5.1
    • python-ptyprocess-0.5.2-2.3.1
  • SUSE Linux Enterprise Workstation Extension 12-SP4 (noarch):
    • python-pexpect-4.3.1-3.5.1
    • python-ptyprocess-0.5.2-2.3.1
  • SUSE Linux Enterprise Module for Public Cloud 12 (noarch):
    • python-applicationinsights-0.11.1-2.3.2
    • python-argcomplete-1.9.2-4.3.1
    • python-colorama-0.2.7-3.3.1
    • python-iso8601-0.1.10-11.3.1
    • python-scp-0.10.2-2.3.2
    • python-wheel-0.30.0-2.3.5
    • python-xmltodict-0.11.0-2.3.2
    • python3-applicationinsights-0.11.1-2.3.2
    • python3-argcomplete-1.9.2-4.3.1
    • python3-colorama-0.2.7-3.3.1
    • python3-iso8601-0.1.10-11.3.1
    • python3-scp-0.10.2-2.3.2
    • python3-wheel-0.30.0-2.3.5
    • python3-xmltodict-0.11.0-2.3.2
  • SUSE Linux Enterprise High Availability 12-SP4 (noarch):
    • python-pexpect-4.3.1-3.5.1
    • python-ptyprocess-0.5.2-2.3.1
  • SUSE Linux Enterprise High Availability 12-SP3 (noarch):
    • python-pexpect-4.3.1-3.5.1
    • python-ptyprocess-0.5.2-2.3.1
  • SUSE Linux Enterprise Desktop 12-SP4 (noarch):
    • python-pexpect-4.3.1-3.5.1
    • python-ptyprocess-0.5.2-2.3.1
  • HPE Helion Openstack 8 (noarch):
    • python-colorama-0.2.7-3.3.1
    • python-pexpect-4.3.1-3.5.1
    • python-ptyprocess-0.5.2-2.3.1

References: